Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# hdmedian

scipy.stats.mstats.hdmedian(data, axis=-1, var=False)

  Returns the Harrell-Davis estimate of the median along the given axis.

  Parameters:
    data ndarray

      Data array.

    axis int, optional

      Axis along which to compute the quantiles. If None, use a flattened array.

    var bool, optional

      Whether to return the variance of the estimate.

  Returns:
    hdmedian MaskedArray

      The median values. If `var=True`, the variance is returned inside the masked array. E.g. for a 1-D array the shape change from (1,) to (2,).